Show account identity, scopes, plan, and usage
curl --request GET \
--url https://api.dairo.app/v1/whoami \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dairo.app/v1/whoami"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dairo.app/v1/whoami', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userId": "<string>",
"apiKey": {
"id": "<string>",
"scopes": [
"<string>"
]
},
"plan": "<string>",
"limits": {},
"usage": {},
"period": {},
"notes": {},
"storage": {
"usedBytes": 123,
"limitBytes": 123,
"remainingBytes": 123,
"breakdown": {
"mailBodyBytes": 123,
"attachmentBytes": 123,
"fileBytes": 123,
"expiringFileBytes": 123,
"activeFileObjects": 123
}
},
"projectId": "<string>",
"organization": {
"id": "<string>",
"role": "<string>"
},
"organizations": [
{
"id": "<string>",
"role": "owner",
"name": "<string>",
"slug": "<string>",
"vanitySlug": "<string>"
}
]
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"type": "<string>",
"param": "<string>"
}
}Account
Show account identity, scopes, plan, and usage
Show account identity, scopes, plan, and usage
GET
/
v1
/
whoami
Show account identity, scopes, plan, and usage
Authorizations
Dairo API key, e.g. dairo_test_... or dairo_live_...
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The resolved ACTIVE organization for the request and the caller's role in it.
Show child attributes
Show child attributes
Every organization the account is a member of (the org switcher list).
Show child attributes
Show child attributes